- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# qvector4d.h File Reference

`#include <QtCore/qpoint.h>`
`#include <QtCore/qmetatype.h>`

Go to the source code of this file.

## Classes
class | QVector4D
## Functions
| Q_DECLARE_TYPEINFO (QVector4D, Q_MOVABLE_TYPE)
bool | operator== (const QVector4D &v1, const QVector4D &v2)
bool | operator!= (const QVector4D &v1, const QVector4D &v2)
const QVector4D | operator+ (const QVector4D &v1, const QVector4D &v2)
const QVector4D | operator- (const QVector4D &v1, const QVector4D &v2)
const QVector4D | operator* (qreal factor, const QVector4D &vector)
const QVector4D | operator* (const QVector4D &vector, qreal factor)
const QVector4D | operator* (const QVector4D &v1, const QVector4D &v2)
const QVector4D | operator- (const QVector4D &vector)
const QVector4D | operator/ (const QVector4D &vector, qreal divisor)
bool | qFuzzyCompare (const QVector4D &v1, const QVector4D &v2)
Q_GUI_EXPORT QDebug | operator<< (QDebug dbg, const QVector4D &vector)
Q_GUI_EXPORT QDataStream & | operator<< (QDataStream &, const QVector4D &)
Q_GUI_EXPORT QDataStream & | operator>> (QDataStream &, QVector4D &)

## Function Documentation

Q_DECLARE_TYPEINFO | ( | QVector4D | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

bool operator== | ( | const QVector4D & | v1,
|  | const QVector4D & | v2
| ) |  | `[inline]`

Definition at line 213 of file qvector4d.h.

    {
        return v1.xp == v2.xp && v1.yp == v2.yp && v1.zp == v2.zp && v1.wp == v2.wp;
    }

bool operator!= | ( | const QVector4D & | v1,
|  | const QVector4D & | v2
| ) |  | `[inline]`

Definition at line 218 of file qvector4d.h.

    {
        return v1.xp != v2.xp || v1.yp != v2.yp || v1.zp != v2.zp || v1.wp != v2.wp;
    }

const QVector4D operator+ | ( | const QVector4D & | v1,
|  | const QVector4D & | v2
| ) |  | `[inline]`

Definition at line 223 of file qvector4d.h.

    {
        return QVector4D(v1.xp + v2.xp, v1.yp + v2.yp, v1.zp + v2.zp, v1.wp + v2.wp, 1);
    }

const QVector4D operator- | ( | const QVector4D & | v1,
|  | const QVector4D & | v2
| ) |  | `[inline]`

Definition at line 228 of file qvector4d.h.

    {
        return QVector4D(v1.xp - v2.xp, v1.yp - v2.yp, v1.zp - v2.zp, v1.wp - v2.wp, 1);
    }

const QVector4D operator* | ( | qreal | factor,
|  | const QVector4D & | vector
| ) |  | `[inline]`

Definition at line 233 of file qvector4d.h.

    {
        return QVector4D(vector.xp * factor, vector.yp * factor, vector.zp * factor, vector.wp * factor, 1);
    }

const QVector4D operator* | ( | const QVector4D & | vector,
|  | qreal | factor
| ) |  | `[inline]`

Definition at line 238 of file qvector4d.h.

    {
        return QVector4D(vector.xp * factor, vector.yp * factor, vector.zp * factor, vector.wp * factor, 1);
    }

const QVector4D operator* | ( | const QVector4D & | v1,
|  | const QVector4D & | v2
| ) |  | `[inline]`

Definition at line 243 of file qvector4d.h.

    {
        return QVector4D(v1.xp * v2.xp, v1.yp * v2.yp, v1.zp * v2.zp, v1.wp * v2.wp, 1);
    }

const QVector4D operator- | ( | const QVector4D & | vector | ) | `[inline]`

Definition at line 248 of file qvector4d.h.

    {
        return QVector4D(-vector.xp, -vector.yp, -vector.zp, -vector.wp, 1);
    }

const QVector4D operator/ | ( | const QVector4D & | vector,
|  | qreal | divisor
| ) |  | `[inline]`

Definition at line 253 of file qvector4d.h.

    {
        return QVector4D(vector.xp / divisor, vector.yp / divisor, vector.zp / divisor, vector.wp / divisor, 1);
    }

bool qFuzzyCompare | ( | const QVector4D & | v1,
|  | const QVector4D & | v2
| ) |  | `[inline]`

Search for all occurrences

Definition at line 258 of file qvector4d.h.

    {
        return qFuzzyCompare(v1.xp, v2.xp) &&
               qFuzzyCompare(v1.yp, v2.yp) &&
               qFuzzyCompare(v1.zp, v2.zp) &&
               qFuzzyCompare(v1.wp, v2.wp);
    }

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | dbg,
|  | const QVector4D & | vector
| ) |  |

Q_GUI_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QVector4D & |
| ) |  |

Q_GUI_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QVector4D & |
| ) |  |